import type { UmbMemberGroupItemModel } from '../../types.js';
import { UmbLitElement } from '../../../../core/lit-element/index.js';
import '../../../../core/entity-item/index.js';
declare const UmbInputMemberGroupElement_base: import("../../../../../libs/extension-api/index.js").HTMLElementConstructor<import("../../../../core/validation/index.js").UmbFormControlMixinElement<string | undefined>> & typeof UmbLitElement;
export declare class UmbInputMemberGroupElement extends UmbInputMemberGroupElement_base {
    #private;
    /**
     * This is a minimum amount of selected items in this input.
     * @type {number}
     * @attr
     * @default
     */
    set min(value: number);
    get min(): number;
    /**
     * Min validation message.
     * @type {boolean}
     * @attr
     * @default
     */
    minMessage: string;
    /**
     * This is a maximum amount of selected items in this input.
     * @type {number}
     * @attr
     * @default
     */
    set max(value: number);
    get max(): number;
    /**
     * Max validation message.
     * @type {boolean}
     * @attr
     * @default
     */
    maxMessage: string;
    set selection(ids: Array<string>);
    get selection(): Array<string>;
    set value(selectionString: string | undefined);
    get value(): string | undefined;
    filter: (memberGroup: UmbMemberGroupItemModel) => boolean;
    /**
     * Sets the input to readonly mode, meaning value cannot be changed but still able to read and select its content.
     * @type {boolean}
     * @attr
     * @default
     */
    get readonly(): boolean;
    set readonly(value: boolean);
    /**
     * Sets the input to required, meaning validation will fail if the value is empty.
     * @type {boolean}
     */
    required?: boolean;
    requiredMessage?: string;
    private _editMemberGroupPath;
    private _items?;
    private _statuses?;
    constructor();
    protected getFormElement(): undefined;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbInputMemberGroupElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-input-member-group': UmbInputMemberGroupElement;
    }
}
